Skip to main content
`Ctrl`+`K`

# numpy.array_repr

numpy.array_repr(arr, max_line_width=None, precision=None, suppress_small=None)

  Return the string representation of an array.

  Parameters:
    arr ndarray

      Input array.

    max_line_width int, optional

      Inserts newlines if text is longer than max_line_width. Defaults to `numpy.get_printoptions()['linewidth']`.

    precision int, optional

      Floating point precision. Defaults to `numpy.get_printoptions()['precision']`.

    suppress_small bool, optional

      Represent numbers “very close” to zero as zero; default is False. Very close is defined by precision: if the precision is 8, e.g., numbers smaller (in absolute value) than 5e-9 are represented as zero. Defaults to `numpy.get_printoptions()['suppress']`.

  Returns:
    string str

      The string representation of an array.

  See also

  `array_str`, `array2string`, `set_printoptions`

  Examples

      >>> import numpy as np
      >>> np.array_repr(np.array([1,2]))
      'array([1, 2])'
      >>> np.array_repr(np.ma.array([0.]))
      'MaskedArray([0.])'
      >>> np.array_repr(np.array([], np.int32))
      'array([], dtype=int32)'

      >>> x = np.array([1e-6, 4e-7, 2, 3])
      >>> np.array_repr(x, precision=6, suppress_small=True)
      'array([0.000001,  0.      ,  2.      ,  3.      ])'